## kio-extras 15.12.3

=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(kioslave)
ecm_optional_add_subdirectory(kcontrol)
