=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(trash)
