## kio-extras 5.2.2

=== debian/changelog ===
kio-extras (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Fix library name for Plasma/5.2 branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 23:38:59 +0100

kio-extras (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:20:09 -0700

kio-extras (4:5.2.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Fix relationship with kio-mtp to support backports

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:39:55 -0800

kio-extras (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:52:50 +0100

kio-extras (4:5.1.95-0ubuntu3) vivid; urgency=medium

  * Break old version of kio-mtp

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 14:41:08 +0100

kio-extras (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * Repleace/conflict kio-mtp

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 11:52:31 +0100

kio-extras (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:30:10 +0100

kio-extras (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove upstream_CVE-2014-8600.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:20:46 +0100

kio-extras (4:5.1.1-0ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Nov 2014 10:08:55 +0100

kio-extras (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:44:44 +0100

kio-extras (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Lintian cleanup
    + Linitian override manpage warning for ktrash5 (we do not generally
      provide manpages for helper binaries nor for GUI binaries)
    + Fix a short license name in copyright to enable standard license
      identification

  [ Scarlett Clark ]
  * cherry-pick 2e86138c30e820bccc4d13e5329d1008f9ccce1b due to 
    kio trash changes upstream. 

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:48:15 +0200

kio-extras (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release
  * Remove no-human-maintainers lintian-override per ScottK. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:15:25 -0700

kio-extras (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:42:07 +0200

kio-extras (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:19:32 +0200

kio-extras (4:4.97.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * remove patch and use new tar
  * add optional build depends. 
  * Fix install file 
  * change arch to all data package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:09 +0100
