=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kio-extras-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kio-extras-(.*)\.tar\.xz
