## kio-extras 15.08.2

=== debian/changelog ===
kio-extras (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:29:42 +0100

kio-extras (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:03:41 +0100

kio-extras (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:27:44 +0100

kio-extras (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * First release as part of KDE Applications

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:29:09 +0100

kio-extras (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:28:07 +0000

kio-extras (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:30:32 +0200

kio-extras (4:5.3.0-0ubuntu1) UNRELEASED; urgency=medium

  * beta release
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 17:00:21 +0200

kio-extras (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:49 +0200

kio-extras (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:41 +0100

kio-extras (4:5.2.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Fix relationship with kio-mtp to support backports

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 18:36:37 +0100
