=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev (>= 5.3.0),
               kinit-dev,
               kio-dev (>= 5.3.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0~),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5dnssd-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5kdelibs4support-dev (>= 5.3.0),
               libkf5khtml-dev (>= 5.3.0),
               libkf5pty-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libslp-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kio-extras.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kio-extras.git

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

Package: kio-extras-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kio-extras (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Extra functionality for kioslaves debug files.
 A kioslave is a program designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the debugging symbols.
