=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 	$(overridden_command) --dbg-package=kio-extras-dbg
 
 override_dh_auto_test:
-	dh_installwm openbox\
-	xvfb-run -a dh_auto_test
+	# Tests require a registered logind session. :/
+	# If you are reading this, your help is needed to make this work in
+	# a reproduceable way either in the buildds or in the autopkgtests
+	# servers
+	# xvfb-run -a dh_auto_test
