## kio-extras 15.12.3

=== debian/changelog ===
kio-extras (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:26:43 -0700

kio-extras (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:47:41 +0100

kio-extras (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:19 +0100

kio-extras (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:57:49 +0000

kio-extras (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:00 +0100

kio-extras (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:00 +0200

kio-extras (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 14:04:38 +0200

kio-extras (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #790522)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:51 +0200

kio-extras (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 21:53:04 +0200

kio-extras (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:13:05 +0200
