=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kio-extras-dbg
+	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_auto_test:
 	# Tests require a registered logind session. :/
