=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kio-extras-([\d.]+)\.tar\.xz
