## kio-extras 16.04.3

=== debian/changelog ===
kio-extras (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Add new dep to libkf5activities. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:02 +0200

kio-extras (4:15.08.3-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on libslp-dev. (Closes: #815361)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Feb 2016 20:36:37 +0100
