=== debian/changelog ===
kio-extras (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:11:27 +0100

kio-extras (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:33:54 +0200

kio-extras (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:09:22 +0200

kio-extras (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing breaks/replaces against kactivities

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:45:47 +0200
