## kio-extras 16.12.3

=== debian/changelog ===
kio-extras (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:55 +0000

kio-extras (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Only build depend on optional QtWebEngine on architectures where 
    this is available - currently only amd64/i386/armhf.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 24 Jan 2017 14:28:42 +0000

kio-extras (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * Optional build dep on qt5webengine & qt5webchannel (>= 5.7.0~)
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Build dep on qtpositioning5-dev
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:35 +0000
