## kio-extras 17.04.3

=== debian/changelog ===
kio-extras (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add taglib and gperf to build depends
  * Update install files for new libs
  * Build depend on libkf5plasma-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Update installed files
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:00 +0100
