=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
+               gperf,
                kinit-dev (>= 5.31.0~),
                libexiv2-dev,
                libjpeg-dev,
@@ -24,6 +25,7 @@
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
                libkf5pty-dev (>= 5.31.0~),
                libkf5solid-dev (>= 5.31.0~),
                libmtp-dev,
@@ -35,6 +37,7 @@
                libslp-dev,
                libsmbclient-dev,
                libssh-dev (>= 0.6.0),
+               libtag1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
